Name:           signon-plugin-oauth2
Version:        0.25
Release:        %mkrel 2
Summary:        OAuth2 plugin for the Accounts framework
Group:          Development/KDE and Qt
License:        LGPLv2+
URL:            https://gitlab.com/accounts-sso/signon-plugin-oauth2
Source0:        https://gitlab.com/accounts-sso/%{name}/-/archive/VERSION_%{version}/%{name}-VERSION_%{version}.tar.gz
Patch0:         signon-plugin-oauth2-0.25-Wno-error.patch
Patch1:         signon-plugin-oauth2-0.25-dont-install-tests.patch

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(signon-plugins)
BuildRequires:  pkgconfig(libsignon-qt5)

Requires:       signon
Requires:       signon-ui

%description
OAuth2 plugin for the Accounts framework.

%files
%{_libdir}/signon/liboauth2plugin.so

#----------------------------------------------------

%package        devel
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%files devel
%{_includedir}/signon-plugins/
%{_libdir}/pkgconfig/signon-oauth2plugin.pc

#----------------------------------------------------

%prep
%setup -qn %{name}-VERSION_%{version}
%autopatch -p1

sed -i 's|/lib|/%{_lib}|' src/signon-oauth2plugin.pc

%build
%qmake_qt5 LIBDIR=%{_libdir}

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.25-2.mga8
+ Revision: 1659849
- Rebuild for new Qt5

* Mon Nov 16 2020 daviddavid <daviddavid> 0.25-1.mga8
+ Revision: 1646523
- new version: 0.25

* Sat Feb 15 2020 umeabot <umeabot> 0.24-5.mga8
+ Revision: 1525036
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 0.24-4.mga7
+ Revision: 1384802
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.24-3.mga7
+ Revision: 1301029
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 pterjan <pterjan> 0.24-2.mga7
+ Revision: 1240811
- Force LIBDIR, it gets it wrong on aarch64

* Sun Jan 01 2017 daviddavid <daviddavid> 0.24-1.mga6
+ Revision: 1079338
- new version: 0.24

* Fri Jul 15 2016 daviddavid <daviddavid> 0.22-1.mga6
+ Revision: 1042210
- imported package signon-plugin-oauth2

